from odoo import fields, models


class Substitution(models.Model):
    """ Substitution values for a Redner email message
    """

    _name = "redner.substitution"

    _description = "Redner Substitution"

    deserialize = fields.Boolean(
        string="Deserialize",
        help=(
            "Enable this to deserialize before sending to redner. Useful "
            "whend sending lists to the redner server."
        ),
    )

    keyword = fields.Char(
        string="Keyword", help="Keywords templates are added here"
    )

    template_id = fields.Many2one(
        comodel_name="mail.template", string="Use template"
    )

    ir_actions_report_id = fields.Many2one(
        comodel_name="ir.actions.report", string="Use report"
    )

    value = fields.Char(
        string="Value",
        help="Send this to your redner server and you will "
        "get a nice html output ready to be sent by email.",
    )
